Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network86.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
86.167.0.0
Broadcast address
86.167.255.255
First usable
86.167.0.1
Last usable
86.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 56A70000 · Integer 1453785088 to 1453850623
Reverse DNS zone
167.86.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010110.10100111..00000000.0000000086.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01010110.10100111..00000000.0000000086.167.0.0
Broadcast01010110.10100111..11111111.1111111186.167.255.255
Split into smaller subnets/23

86.167.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
186.167.0.0/2386.167.0.1 to 86.167.1.25486.167.1.255510
286.167.2.0/2386.167.2.1 to 86.167.3.25486.167.3.255510
386.167.4.0/2386.167.4.1 to 86.167.5.25486.167.5.255510
486.167.6.0/2386.167.6.1 to 86.167.7.25486.167.7.255510
586.167.8.0/2386.167.8.1 to 86.167.9.25486.167.9.255510
686.167.10.0/2386.167.10.1 to 86.167.11.25486.167.11.255510
786.167.12.0/2386.167.12.1 to 86.167.13.25486.167.13.255510
886.167.14.0/2386.167.14.1 to 86.167.15.25486.167.15.255510
986.167.16.0/2386.167.16.1 to 86.167.17.25486.167.17.255510
1086.167.18.0/2386.167.18.1 to 86.167.19.25486.167.19.255510
1186.167.20.0/2386.167.20.1 to 86.167.21.25486.167.21.255510
1286.167.22.0/2386.167.22.1 to 86.167.23.25486.167.23.255510
1386.167.24.0/2386.167.24.1 to 86.167.25.25486.167.25.255510
1486.167.26.0/2386.167.26.1 to 86.167.27.25486.167.27.255510
1586.167.28.0/2386.167.28.1 to 86.167.29.25486.167.29.255510
1686.167.30.0/2386.167.30.1 to 86.167.31.25486.167.31.255510
1786.167.32.0/2386.167.32.1 to 86.167.33.25486.167.33.255510
1886.167.34.0/2386.167.34.1 to 86.167.35.25486.167.35.255510
1986.167.36.0/2386.167.36.1 to 86.167.37.25486.167.37.255510
2086.167.38.0/2386.167.38.1 to 86.167.39.25486.167.39.255510
2186.167.40.0/2386.167.40.1 to 86.167.41.25486.167.41.255510
2286.167.42.0/2386.167.42.1 to 86.167.43.25486.167.43.255510
2386.167.44.0/2386.167.44.1 to 86.167.45.25486.167.45.255510
2486.167.46.0/2386.167.46.1 to 86.167.47.25486.167.47.255510
2586.167.48.0/2386.167.48.1 to 86.167.49.25486.167.49.255510
2686.167.50.0/2386.167.50.1 to 86.167.51.25486.167.51.255510
2786.167.52.0/2386.167.52.1 to 86.167.53.25486.167.53.255510
2886.167.54.0/2386.167.54.1 to 86.167.55.25486.167.55.255510
2986.167.56.0/2386.167.56.1 to 86.167.57.25486.167.57.255510
3086.167.58.0/2386.167.58.1 to 86.167.59.25486.167.59.255510
3186.167.60.0/2386.167.60.1 to 86.167.61.25486.167.61.255510
3286.167.62.0/2386.167.62.1 to 86.167.63.25486.167.63.255510
3386.167.64.0/2386.167.64.1 to 86.167.65.25486.167.65.255510
3486.167.66.0/2386.167.66.1 to 86.167.67.25486.167.67.255510
3586.167.68.0/2386.167.68.1 to 86.167.69.25486.167.69.255510
3686.167.70.0/2386.167.70.1 to 86.167.71.25486.167.71.255510
3786.167.72.0/2386.167.72.1 to 86.167.73.25486.167.73.255510
3886.167.74.0/2386.167.74.1 to 86.167.75.25486.167.75.255510
3986.167.76.0/2386.167.76.1 to 86.167.77.25486.167.77.255510
4086.167.78.0/2386.167.78.1 to 86.167.79.25486.167.79.255510
4186.167.80.0/2386.167.80.1 to 86.167.81.25486.167.81.255510
4286.167.82.0/2386.167.82.1 to 86.167.83.25486.167.83.255510
4386.167.84.0/2386.167.84.1 to 86.167.85.25486.167.85.255510
4486.167.86.0/2386.167.86.1 to 86.167.87.25486.167.87.255510
4586.167.88.0/2386.167.88.1 to 86.167.89.25486.167.89.255510
4686.167.90.0/2386.167.90.1 to 86.167.91.25486.167.91.255510
4786.167.92.0/2386.167.92.1 to 86.167.93.25486.167.93.255510
4886.167.94.0/2386.167.94.1 to 86.167.95.25486.167.95.255510
4986.167.96.0/2386.167.96.1 to 86.167.97.25486.167.97.255510
5086.167.98.0/2386.167.98.1 to 86.167.99.25486.167.99.255510
5186.167.100.0/2386.167.100.1 to 86.167.101.25486.167.101.255510
5286.167.102.0/2386.167.102.1 to 86.167.103.25486.167.103.255510
5386.167.104.0/2386.167.104.1 to 86.167.105.25486.167.105.255510
5486.167.106.0/2386.167.106.1 to 86.167.107.25486.167.107.255510
5586.167.108.0/2386.167.108.1 to 86.167.109.25486.167.109.255510
5686.167.110.0/2386.167.110.1 to 86.167.111.25486.167.111.255510
5786.167.112.0/2386.167.112.1 to 86.167.113.25486.167.113.255510
5886.167.114.0/2386.167.114.1 to 86.167.115.25486.167.115.255510
5986.167.116.0/2386.167.116.1 to 86.167.117.25486.167.117.255510
6086.167.118.0/2386.167.118.1 to 86.167.119.25486.167.119.255510
6186.167.120.0/2386.167.120.1 to 86.167.121.25486.167.121.255510
6286.167.122.0/2386.167.122.1 to 86.167.123.25486.167.123.255510
6386.167.124.0/2386.167.124.1 to 86.167.125.25486.167.125.255510
6486.167.126.0/2386.167.126.1 to 86.167.127.25486.167.127.255510
6586.167.128.0/2386.167.128.1 to 86.167.129.25486.167.129.255510
6686.167.130.0/2386.167.130.1 to 86.167.131.25486.167.131.255510
6786.167.132.0/2386.167.132.1 to 86.167.133.25486.167.133.255510
6886.167.134.0/2386.167.134.1 to 86.167.135.25486.167.135.255510
6986.167.136.0/2386.167.136.1 to 86.167.137.25486.167.137.255510
7086.167.138.0/2386.167.138.1 to 86.167.139.25486.167.139.255510
7186.167.140.0/2386.167.140.1 to 86.167.141.25486.167.141.255510
7286.167.142.0/2386.167.142.1 to 86.167.143.25486.167.143.255510
7386.167.144.0/2386.167.144.1 to 86.167.145.25486.167.145.255510
7486.167.146.0/2386.167.146.1 to 86.167.147.25486.167.147.255510
7586.167.148.0/2386.167.148.1 to 86.167.149.25486.167.149.255510
7686.167.150.0/2386.167.150.1 to 86.167.151.25486.167.151.255510
7786.167.152.0/2386.167.152.1 to 86.167.153.25486.167.153.255510
7886.167.154.0/2386.167.154.1 to 86.167.155.25486.167.155.255510
7986.167.156.0/2386.167.156.1 to 86.167.157.25486.167.157.255510
8086.167.158.0/2386.167.158.1 to 86.167.159.25486.167.159.255510
8186.167.160.0/2386.167.160.1 to 86.167.161.25486.167.161.255510
8286.167.162.0/2386.167.162.1 to 86.167.163.25486.167.163.255510
8386.167.164.0/2386.167.164.1 to 86.167.165.25486.167.165.255510
8486.167.166.0/2386.167.166.1 to 86.167.167.25486.167.167.255510
8586.167.168.0/2386.167.168.1 to 86.167.169.25486.167.169.255510
8686.167.170.0/2386.167.170.1 to 86.167.171.25486.167.171.255510
8786.167.172.0/2386.167.172.1 to 86.167.173.25486.167.173.255510
8886.167.174.0/2386.167.174.1 to 86.167.175.25486.167.175.255510
8986.167.176.0/2386.167.176.1 to 86.167.177.25486.167.177.255510
9086.167.178.0/2386.167.178.1 to 86.167.179.25486.167.179.255510
9186.167.180.0/2386.167.180.1 to 86.167.181.25486.167.181.255510
9286.167.182.0/2386.167.182.1 to 86.167.183.25486.167.183.255510
9386.167.184.0/2386.167.184.1 to 86.167.185.25486.167.185.255510
9486.167.186.0/2386.167.186.1 to 86.167.187.25486.167.187.255510
9586.167.188.0/2386.167.188.1 to 86.167.189.25486.167.189.255510
9686.167.190.0/2386.167.190.1 to 86.167.191.25486.167.191.255510
9786.167.192.0/2386.167.192.1 to 86.167.193.25486.167.193.255510
9886.167.194.0/2386.167.194.1 to 86.167.195.25486.167.195.255510
9986.167.196.0/2386.167.196.1 to 86.167.197.25486.167.197.255510
10086.167.198.0/2386.167.198.1 to 86.167.199.25486.167.199.255510
10186.167.200.0/2386.167.200.1 to 86.167.201.25486.167.201.255510
10286.167.202.0/2386.167.202.1 to 86.167.203.25486.167.203.255510
10386.167.204.0/2386.167.204.1 to 86.167.205.25486.167.205.255510
10486.167.206.0/2386.167.206.1 to 86.167.207.25486.167.207.255510
10586.167.208.0/2386.167.208.1 to 86.167.209.25486.167.209.255510
10686.167.210.0/2386.167.210.1 to 86.167.211.25486.167.211.255510
10786.167.212.0/2386.167.212.1 to 86.167.213.25486.167.213.255510
10886.167.214.0/2386.167.214.1 to 86.167.215.25486.167.215.255510
10986.167.216.0/2386.167.216.1 to 86.167.217.25486.167.217.255510
11086.167.218.0/2386.167.218.1 to 86.167.219.25486.167.219.255510
11186.167.220.0/2386.167.220.1 to 86.167.221.25486.167.221.255510
11286.167.222.0/2386.167.222.1 to 86.167.223.25486.167.223.255510
11386.167.224.0/2386.167.224.1 to 86.167.225.25486.167.225.255510
11486.167.226.0/2386.167.226.1 to 86.167.227.25486.167.227.255510
11586.167.228.0/2386.167.228.1 to 86.167.229.25486.167.229.255510
11686.167.230.0/2386.167.230.1 to 86.167.231.25486.167.231.255510
11786.167.232.0/2386.167.232.1 to 86.167.233.25486.167.233.255510
11886.167.234.0/2386.167.234.1 to 86.167.235.25486.167.235.255510
11986.167.236.0/2386.167.236.1 to 86.167.237.25486.167.237.255510
12086.167.238.0/2386.167.238.1 to 86.167.239.25486.167.239.255510
12186.167.240.0/2386.167.240.1 to 86.167.241.25486.167.241.255510
12286.167.242.0/2386.167.242.1 to 86.167.243.25486.167.243.255510
12386.167.244.0/2386.167.244.1 to 86.167.245.25486.167.245.255510
12486.167.246.0/2386.167.246.1 to 86.167.247.25486.167.247.255510
12586.167.248.0/2386.167.248.1 to 86.167.249.25486.167.249.255510
12686.167.250.0/2386.167.250.1 to 86.167.251.25486.167.251.255510
12786.167.252.0/2386.167.252.1 to 86.167.253.25486.167.253.255510
12886.167.254.0/2386.167.254.1 to 86.167.255.25486.167.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses